# error importing secop_psi.senis.Teslameter3MH6
Mod('b',
    'frappy_psi.senis.Teslameter3MH6',
    '3D hall sensor',
    usb='/dev/ttyUSB0',
    nsample=100,
    x='bx',
    y='by',
    z='bz',
    probe_temp='ptemp',
    box_temp='btemp',
    x_direct='dbx',
    y_direct='dby',
    z_direct='dbz',
    probe_temp_direct='dptemp',
    box_temp_direct='dbtemp',
)

Mod('bx',
    'frappy_psi.senis.Bcomp',
    'x component',
)

Mod('by',
    'frappy_psi.senis.Bcomp',
    'y component',
)

Mod('bz',
    'frappy_psi.senis.Bcomp',
    'z component',
)

Mod('ptemp',
    'frappy_psi.senis.Temperature',
    'probe temperature',
)

Mod('btemp',
    'frappy_psi.senis.Temperature',
    'box temperature',
)

Mod('dbx',
    'frappy_psi.senis.Raw',
    'x component',
)

Mod('dby',
    'frappy_psi.senis.Raw',
    'y component',
)

Mod('dbz',
    'frappy_psi.senis.Raw',
    'z component',
)

Mod('dptemp',
    'frappy_psi.senis.Raw',
    'probe temperature',
)

Mod('dbtemp',
    'frappy_psi.senis.Temperature',
    'box temperature',
)
